﻿using SchoolContracts.Id;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.Models
{
	// Оплата
	public interface IPaymentModel : IId
	{
		// Дата оплаты
		DateTime DatePayment { get; }
	
		// Сумма
		decimal Sum { get; }
	
		// Id курса в обучении
		int CoursesForStudyId { get; }
	}
}
